# Method: snapshots.list

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/snapshots/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developer.android.com/games/services/web/api/rest/v1/snapshots/list#body.PATH_PARAMETERS)
- [Query parameters](https://developer.android.com/games/services/web/api/rest/v1/snapshots/list#body.QUERY_PARAMETERS)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/snapshots/list#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/snapshots/list#body.response_body)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/snapshots/list#body.ListSnapshotsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/snapshots/list#body.aspect)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/snapshots/list#try-it)

Retrieves a list of snapshots created by your application for the player corresponding to the player ID.

### HTTP request

`GET https://games.googleapis.com/games/v1/players/{playerId}/snapshots`

### Path parameters

|                                               Parameters                                               ||
|------------|--------------------------------------------------------------------------------------------|
| `playerId` | `string` A player ID. A value of`me`may be used in place of the authenticated player's ID. |

### Query parameters

|                                                                                                         Parameters                                                                                                          ||
|--------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `language`   | `string` The preferred language to use for strings returned by this method.                                                                                                                                   |
| `maxResults` | `integer` The maximum number of snapshot resources to return in the response, used for paging. For any response, the actual number of snapshot resources returned may be less than the specified`maxResults`. |
| `pageToken`  | `string` The token returned by the previous request.                                                                                                                                                          |

### Request body

The request body must be empty.

### Response body

A third party list snapshots response.

If successful, the response body contains data with the following structure:

|                                                                      JSON representation                                                                       |
|----------------------------------------------------------------------------------------------------------------------------------------------------------------|
| ``` { "kind": string, "nextPageToken": string, "items": [ { object (https://developer.android.com/games/services/web/api/rest/v1/snapshots#Snapshot) } ] } ``` |

|                                                                  Fields                                                                  ||
|-----------------|-------------------------------------------------------------------------------------------------------------------------|
| `kind`          | `string` Uniquely identifies the type of this resource. Value is always the fixed string`games#snapshotListResponse`.   |
| `nextPageToken` | `string` Token corresponding to the next page of results. If there are no more results, the token is omitted.           |
| `items[]`       | `object (`[Snapshot](https://developer.android.com/games/services/web/api/rest/v1/snapshots#Snapshot)`)` The snapshots. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/drive.appdata`
- `
  https://www.googleapis.com/auth/games`
- `
  https://www.googleapis.com/auth/games_lite`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).